Jump to content

New AGPGart


  • Please log in to reply
940 replies to this topic

#1
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow
I continue to develop the AGPGart driver.
Now it supports Intel, nForce, VIA, SIS and ATI chipsets. (nForce and SIS only for AMD CPU)
If anyone have trouble with it then report as
ioreg -l -x -w 1024 >ioreg12345.txt
sudo dmesg >dmesg12345.txt

zip these files and upload here if you want I help you.

Installation as usual
Download to "your place", unpack, then in terminal

sudo -s
cp -R /your place/AGPGart.kext /System/Library/Extensions/
chown -R root:wheel /S*/L*/E*/AGP*
chmod -R 755 /S*/L*/E*/AGP*
diskutil repairpermissions /
rm /System/Library/Extensions.mkext
rm /System/Library/Extensions.kextcache


Reboot and report what is changed.

If you can't boot as usual then boot in safe mode and delete this kext.

Report please, successful or no!
About QuarzExtreme check the follow
$ cd /System/Library/Frameworks/ApplicationServices.framework/Versions\
/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
$ sudo pico Configuration.plist

Once in the editor, change these values to match your machine (use System Profiler to get the required details):

<dict>
<key>Quartz2DExtremeEnabled</key>
<true/>
<key>Quartz2DExtremeMinimumVRAM</key>
<integer>64</integer>
<key>Quartz2DExtremeMinimumDRAM</key>
<integer>512</integer>
<key>Quartz2DExtremeVendorDisabled</key>
<array>
</array>
</dict>
EDITED:
Version 2.4.9 is obsolete.

EDITED:
Version 2.6.0 completely revised at post #138 with instructions.

EDITED 29-02-2008
Versions since 2.6.2 are compatible now with new IOPCIFamily.

Works great on AMD64 in Tiger. (Look for reports)

EDITED 07-03-2008
I still use only Tiger so I can't do anything for Leo. Other developers are welcomed!
But I know that AppleMacRiscAGP works in Leo with G4-G5 CPU so AGP technology is not oblolete for Leo.

EDITED 12-09-2008
Attention for users of ATI Radeon prior to X1000!
Leo version of ATIRadeon9700GLDriver.bundle is PowerPC only :censored2:
So you can't get hardware QE with these cards in Leo! Other kexts versions?


EDITED 15-02-2008
You also need to replace IOPCIFamily.kext to the corrected version
If you are using Leopard now v244
IOPCIFamily Sources for Leo
IOPCIFamily.kext for Leo attached

If you are using Tiger now, get ready to use kext
IOPCIFamily.kext v244 for Tiger

EDITED 23-03-08
It is very hard to read all the thread so I make a guide "What to read". Press "NEXT" and read to next post with "NEXT".

EDITED 02-04-08
Next version of AGPGart 265b2 is at post #377 with instructions what to customize.

EDITED 05-04-08
Next version 265f with sources at post #486
http://forum.insanel...o...1308&st=485

EDITED 27-05-08
For smart testers and programmers I explain how the driver works at posts 582-583

EDITED 30-05-08
New version 2.6.7.
http://forum.insanel...t...st&id=28732

EDITED 26-06-08
New version 2.7.0 with new addressing scheme at post 654.
AGPGart 2.7.0
Addressing method depends on Videocard and operation system, so try both versions 267 and 270. See other user's reports after publish the versions.

EDITED 25-07-08
New version 2.7.1 with corrections for ATI chipset. RS200M support included.
Flush_Timeout is no more used. Best flush is found.
AGB_Base is always equal Aperture now. Needs customization for HOST_Base.

EDITED 19-12-2008
Version of IOPCIFamily254.kext compiled from sources 10.5.6. Tested also in 10.5.5.

EDITED 25-05-2009
Next version of IOPCIFamily 2.6.1 from sources 10.5.7
Attached File  IOPCIFamily261.kext.zip   48.69KB   2500 downloads

I am not sure that developement of AGPGart is complete. Reports are welcomed.
Good report with ATIRadeon HD3850AGP in 10.5.6.

SEE FAQ

NEXT
Leo version of corrected IOPCIFamily 2.4.4 attached Attached File  IOPCIFamily.kext.zip   47.78KB   4479 downloads

Attached Files



#2
hecker

hecker

    InsanelyMacaholic

  • Members
  • PipPipPipPipPipPipPipPipPipPipPip
  • 2,669 posts
  • Gender:Male
Thanks! But the link doesn't work for me.

EDIT/CORRECTION: Sorry, it does work. The download window was just on another "space" on my desktop, so I couldn't see it.

I will try the new AGPGart and report back ASAP.

Cheers,

hecker

#3
kramer2k

kramer2k

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 373 posts

Thanks! But the link doesn't work for me.

EDIT/CORRECTION: Sorry, it does work. The download window was just on another "space" on my desktop, so I couldn't see it.

I will try the new AGPGart and report back ASAP.

Cheers,

hecker


Doesn't work for me...hangs at

AgpGart: Setting 08 data rate

Specs below...

#4
zarac

zarac

    InsanelyMac Zaphod

  • Members
  • PipPipPipPipPip
  • 314 posts
  • Gender:Male
  • Location:Zagreb, Croatia
  • Interests:film/video editing and post-production
i tried your new AGPGart.kext in leopard, but it didn't work.
actually it loads, but no acceleration whatsoever, just like v2.2.
at boot (-v) it doesnt show any lines concerning agp (unlike v2.1, but that one halts on login with black screen and mouse.)

in tiger, v2.1 was the only one working for me.
v2.2 would load and show no errors, but no acceleration and system profiler detected graphic card as pci.

attached are the zipped ioreg.txt and dmesg.txt taken with your AGPGart.kext loaded.
my hardware - check the sig.

Attached Files



#5
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow
2 zarac
I am not famous with leopard and I see you have a problem with device matching. May be you need to write into info.plist
<key>IONameMatch</key>
<string>pci-bridge</string>

2 kramer2k
Probably nForce3 is not correctly supported. Wait for news.
Where is your ioreg without AGPGart? I need to know bus devices.

#6
kramer2k

kramer2k

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 373 posts

2 zarac
I am not famous with leopard and I see you have a problem with device matching. May be you need to write into info.plist
<key>IONameMatch</key>
<string>pci-bridge</string>

2 kramer2k
Probably nForce3 is not correctly supported. Wait for news.
Where is your ioreg without AGPGart? I need to know bus devices.


Here it is with AGPgart 2.1 loaded

Attached Files



#7
zarac

zarac

    InsanelyMac Zaphod

  • Members
  • PipPipPipPipPip
  • 314 posts
  • Gender:Male
  • Location:Zagreb, Croatia
  • Interests:film/video editing and post-production

2 zarac
I am not famous with leopard and I see you have a problem with device matching. May be you need to write into info.plist
<key>IONameMatch</key>
<string>pci-bridge</string>

let me get this straight:
you mean simply to replace
<key>IONameMatch</key>
 <string>pciclass,060400</string>
with
<key>IONameMatch</key>
 <string>pci-bridge</string>
am i right?

also, which instance of Info.plist should i edit, the one in "AGPGart.kext/Contents/" or the one in "AGPGart.kext/Contents/Resources/" ?

#8
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow

let me get this straight:
you mean simply to replace

<key>IONameMatch</key>
<string>pciclass,060400</string>
with
<key>IONameMatch</key>
<string>pci-bridge</string>
am i right?

also, which instance of Info.plist should i edit, the one in "AGPGart.kext/Contents/" or the one in "AGPGart.kext/Contents/Resources/" ?

First one "AGPGart.kext/Contents/"

2 kramer2k
Also for you but
<key>IONameMatch</key>
<string>pci10de,e2</string>

NEXT

#9
kramer2k

kramer2k

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 373 posts

First one "AGPGart.kext/Contents/"

2 kramer2k
Also for you but

<key>IONameMatch</key>
<string>pci10de,e2</string>

No worky...
still @ 2.1

#10
zarac

zarac

    InsanelyMac Zaphod

  • Members
  • PipPipPipPipPip
  • 314 posts
  • Gender:Male
  • Location:Zagreb, Croatia
  • Interests:film/video editing and post-production

No worky...
still @ 2.1

same here

tried it on tiger too, no go..
Slice, i can send you ioreg with 2.1 loaded (if that helps)

#11
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow

same here

tried it on tiger too, no go..
Slice, i can send you ioreg with 2.1 loaded (if that helps)


Very interesting. As I understand from 2.1 to 2.2 driver is changed and became unusable? I should check!

2kramer2k
in your ioreg I found

"AAPL,gart-width" = 0x40

It is for PCIexpress card,
for AGP it must be =0x20!?
Or I wrong?

#12
kramer2k

kramer2k

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 373 posts

Very interesting. As I understand from 2.1 to 2.2 driver is changed and became unusable? I should check!

2kramer2k
in your ioreg I found

It is for PCIexpress card,
for AGP it must be =0x20!?
Or I wrong?

Woot - AGP on Leo...

Using 2.1 from tiger

Attached Files



#13
zarac

zarac

    InsanelyMac Zaphod

  • Members
  • PipPipPipPipPip
  • 314 posts
  • Gender:Male
  • Location:Zagreb, Croatia
  • Interests:film/video editing and post-production

Woot - AGP on Leo...

Using 2.1 from tiger

hey, what did you do to it?
i wanna piece of it :rolleyes:

#14
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow

Woot - AGP on Leo...

Using 2.1 from tiger

You are probably OK. But the question is how much the driver really accelerate graphics.
Can you compare xbench test without AGPGart, with 2.1 and with 2.4.x if the last would work?

According to your claims I correct some mistakes in my version. There is new one.

#15
kramer2k

kramer2k

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 373 posts
Nov 17 18:01:12 localhost kernel[0]: AGP: not supported 00ed
Nov 17 18:01:12 localhost kernel[0]: AGP: Found NVIDIA nForce3-250 AGP Controller
Nov 17 18:01:12 localhost kernel[0]: AGPGart: start
Nov 17 18:01:12 localhost kernel[0]: AGPgart: BridgeMemoryRange [fa800000, fe8fffff]
Nov 17 18:01:23 Cosmo-Kramers-Computer kernel[0]: AGP: Found an AGP 3.0 compliant device.
Nov 17 18:01:23 Cosmo-Kramers-Computer kernel[0]: AGP: ERROR! Attach device failed.AGPGart: destroyAGPSpace

So no go w/ 2.4.4, but it still shows as AGP under SP

Attached Files



#16
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow
Thank you for quick reply!

AGP: ERROR! Attach device failed. -- next mistake in the driver
AGPGart: destroyAGPSpace -- the driver switched off because of non-successful

But still shows as AGP -- it is loaded!

And PCI test the same as AGP244. It is not a result.
With AGP21 you have all slow, except OpenGL. :rolleyes: I think it should be opposite.

Try to find the settings

"AAPL,gart-width" = 0x40(64)

in the NViject info.plist and change to 0x20=32, because this driver written for PCIe cards.

#17
kramer2k

kramer2k

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 373 posts

Thank you for quick reply!

And PCI test the same as AGP244. It is not a result.
With AGP21 you have all slow, except OpenGL. :wacko: I think it should be opposite.

Try to find the settings in the NViject info.plist and change to 0x20=32, because this driver written for PCIe cards.

There is no entry like that in NVinject 0.1.3 for leo

#18
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow

There is no entry like that in NVinject 0.1.3 for leo

it's a pity. Most probably it is internally settings. It would be a problem for AGP bus. May be no. Wait for news.

The AGPGart downloaded a hundred times. Where ia another reports? All others already happy and rest in nirvana?

Simple mistake. Corrected

#19
kramer2k

kramer2k

    InsanelyMac Sage

  • Members
  • PipPipPipPipPip
  • 373 posts

it's a pity. Most probably it is internally settings. It would be a problem for AGP bus. May be no. Wait for news.

The AGPGart downloaded a hundred times. Where ia another reports? All others already happy and rest in nirvana?

Simple mistake. Corrected

No change...

Nov 17 20:20:02 localhost kernel[0]: AGP: not supported 00ed
Nov 17 20:20:02 localhost kernel[0]: AGP: Found NVIDIA nForce3-250 AGP Controller
Nov 17 20:20:02 localhost kernel[0]: AGPGart: start
Nov 17 20:20:02 localhost kernel[0]: AGPgart: BridgeMemoryRange [fa800000, fe8fffff]
Nov 17 20:20:12 Cosmo-Kramers-Computer kernel[0]: AGP: Found an AGP 3.0 compliant device.
Nov 17 20:20:12 Cosmo-Kramers-Computer kernel[0]: AGP: ERROR! Attach device failed.AGPGart: destroyAGPSpace

K

#20
Slice

Slice

    InsanelyMacaholic

  • Local Moderators
  • 2,952 posts
  • Gender:Male
  • Location:Moscow

No change...

Nov 17 20:20:02 localhost kernel[0]: AGP: not supported 00ed
Nov 17 20:20:02 localhost kernel[0]: AGP: Found NVIDIA nForce3-250 AGP Controller
Nov 17 20:20:02 localhost kernel[0]: AGPGart: start
Nov 17 20:20:02 localhost kernel[0]: AGPgart: BridgeMemoryRange [fa800000, fe8fffff]
Nov 17 20:20:12 Cosmo-Kramers-Computer kernel[0]: AGP: Found an AGP 3.0 compliant device.
Nov 17 20:20:12 Cosmo-Kramers-Computer kernel[0]: AGP: ERROR! Attach device failed.AGPGart: destroyAGPSpace


4u
this is a trace version (with more IOLog) for me to understand your problem.
Please report the same manner





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy